Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QFtp.TransferType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QFtp.TransferType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFtp

    public static final class QFtp.TransferType

extends java.lang.Enum
implements QtEnumerator

This enum identifies the data transfer type used with get and put commands.

See Also:
  Serialized Form

Field Summary
`static QFtp.TransferType` | `Ascii` The data will be transferred in Ascii mode and new line characters will be converted to the local format.
`static QFtp.TransferType` | `Binary` The data will be transferred in Binary mode.

Method Summary
`static QFtp.TransferType` | `resolve(int value)` Returns the QFtp$TransferType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.TransferType` | `valueOf(java.lang.String name)`
`static QFtp.TransferType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Binary

    public static final QFtp.TransferType Binary

  The data will be transferred in Binary mode.

### Ascii

    public static final QFtp.TransferType Ascii

  The data will be transferred in Ascii mode and new line characters will be converted to the local format.

Method Detail

### values

    public static QFtp.TransferType[] values()

### valueOf

    public static QFtp.TransferType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.TransferType resolve(int value)

  Returns the QFtp$TransferType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD